.root {
  position: relative;
  z-index: 1;
}

.checkbox {
  display: none;
}

.label {
  color: rgb(var(--onSurface));
  padding: 8px;
}

.menu {
  overflow: hidden;
  max-height: 0;
  display: flex;
  flex-direction: column;
  gap: 0.5rem;
  position: absolute;
  transform-origin: top right;
  right: 0;
  text-align: center;
}

.checkbox:checked + .label + .menu {
  max-height: 100vh;
  padding: 8px;
}

.interceptor {
  display: none;
  position: fixed;
  transform-origin: left;
  top: 0;
  right: 0;
  width: 100vw;
  height: 100vw;
  background-color: transparent;
  z-index: -1;
}

.checkbox:checked ~ .interceptor {
  display: initial;
}
